Models
List models without a key
The same catalog as GET /v1/models, for anyone: browse models and prices before you sign up.
No API key needed.
GET
https://api.tryleap.ai
/
v1
/
public
/
models
List models without a key
curl --request GET \
--url https://api.tryleap.ai/v1/public/modelsconst options = {method: 'GET'};
fetch('https://api.tryleap.ai/v1/public/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tryleap.ai/v1/public/models"
response = requests.get(url)
print(response.text){
"object": "list",
"data": [
{
"id": "black-forest-labs/flux-2-pro",
"object": "model",
"type": "model",
"name": "FLUX.2 [pro]",
"creator": "Black Forest Labs",
"modality": "image",
"tasks": [
"text-to-image"
],
"description": "Black Forest Labs' second generation: sharper detail and text than FLUX1.1, at a lower price.",
"revision": "2026-10-02",
"version": null,
"latest": true,
"status": "stable",
"deprecation": null,
"pricing": {
"unit": "image",
"usd": "0.033",
"overrides": [],
"drivers": [
"n"
]
}
}
]
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Requests",
"param": null,
"doc_url": null,
"request_id": "req_8kQ2vX9mR4tL6nB1cW3yZ5aD"
}
}Last modified on October 4, 2026
⌘I
List models without a key
curl --request GET \
--url https://api.tryleap.ai/v1/public/modelsconst options = {method: 'GET'};
fetch('https://api.tryleap.ai/v1/public/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tryleap.ai/v1/public/models"
response = requests.get(url)
print(response.text){
"object": "list",
"data": [
{
"id": "black-forest-labs/flux-2-pro",
"object": "model",
"type": "model",
"name": "FLUX.2 [pro]",
"creator": "Black Forest Labs",
"modality": "image",
"tasks": [
"text-to-image"
],
"description": "Black Forest Labs' second generation: sharper detail and text than FLUX1.1, at a lower price.",
"revision": "2026-10-02",
"version": null,
"latest": true,
"status": "stable",
"deprecation": null,
"pricing": {
"unit": "image",
"usd": "0.033",
"overrides": [],
"drivers": [
"n"
]
}
}
]
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Requests",
"param": null,
"doc_url": null,
"request_id": "req_8kQ2vX9mR4tL6nB1cW3yZ5aD"
}
}